POST
/api/v1/promptsCreate a new prompt version
Creates a new version of a named prompt. Version auto-increments.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"content": "string",
"variables": [
"string"
],
"config": {
"model": "string",
"endpoint": "string",
"provider": "string",
"maxTokens": -9007199254740991,
"temperature": 0,
"topP": 0,
"presencePenalty": 0,
"frequencyPenalty": 0,
"seed": -9007199254740991,
"responseFormat": {
"type": "json_object",
"jsonSchema": {}
},
"tools": [
{
"name": "string",
"description": "string",
"strict": false,
"parameters": {}
}
],
"linkedTools": [
"string"
],
"attributes": {},
"other": {}
},
"templateLanguage": "default",
"promptFile": "string"
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"content": {
"type": "string",
"minLength": 1,
"maxLength": 100000
},
"variables": {
"maxItems": 100,
"type": "array",
"items": {
"type": "string",
"maxLength": 120
}
},
"config": {
"type": "object",
"properties": {
"model": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"endpoint": {
"type": "string",
"minLength": 1,
"maxLength": 60
},
"provider": {
"type": "string",
"minLength": 1,
"maxLength": 60
},
"maxTokens": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"temperature": {
"type": "number"
},
"topP": {
"type": "number"
},
"stop": {
"anyOf": [
{
"type": "string",
"maxLength": 2000
},
{
"maxItems": 16,
"type": "array",
"items": {
"type": "string",
"maxLength": 2000
}
}
]
},
"presencePenalty": {
"type": "number"
},
"frequencyPenalty": {
"type": "number"
},
"seed": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"responseFormat": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"json_object",
"json_schema"
]
},
"jsonSchema": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": false
},
"reasoningEffort": {
"anyOf": [
{
"type": "string",
"enum": [
"high",
"medium",
"low"
]
},
{
"type": "number"
}
]
},
"tools": {
"maxItems": 100,
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"description": {
"type": "string",
"maxLength": 4000
},
"strict": {
"type": "boolean"
},
"parameters": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"name",
"description"
],
"additionalProperties": false
}
},
"linkedTools": {
"maxItems": 100,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"attributes": {
"type": "object",
"additionalProperties": {}
},
"other": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"model"
],
"additionalProperties": false
},
"template": {
"anyOf": [
{
"type": "string",
"maxLength": 100000
},
{
"maxItems": 200,
"type": "array",
"items": {
"type": "object",
"properties": {
"role": {
"type": "string",
"enum": [
"user",
"assistant",
"system",
"tool",
"developer"
]
},
"content": {
"type": "string",
"maxLength": 100000
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"required": [
"role",
"content"
],
"additionalProperties": false
}
}
]
},
"templateLanguage": {
"type": "string",
"enum": [
"default",
"jinja"
]
},
"promptFile": {
"type": "string",
"minLength": 1,
"maxLength": 200000
}
},
"required": [
"projectId",
"name"
],
"additionalProperties": false
}
}
}Response
All status codes
201Prompt version created
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/prompts \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "content": "string", "variables": [ "string" ], "config": { "model": "string", "endpoint": "string", "provider": "string", "maxTokens": -9007199254740991, "temperature": 0, "topP": 0, "presencePenalty": 0, "frequencyPenalty": 0, "seed": -9007199254740991, "responseFormat": { "type": "json_object", "jsonSchema": {} }, "tools": [ { "name": "string", "description": "string", "strict": false, "parameters": {} } ], "linkedTools": [ "string" ], "attributes": {}, "other": {} }, "templateLanguage": "default", "promptFile": "string" }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/prompts",
body: {
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"content": "string",
"variables": [
"string"
],
"config": {
"model": "string",
"endpoint": "string",
"provider": "string",
"maxTokens": -9007199254740991,
"temperature": 0,
"topP": 0,
"presencePenalty": 0,
"frequencyPenalty": 0,
"seed": -9007199254740991,
"responseFormat": {
"type": "json_object",
"jsonSchema": {}
},
"tools": [
{
"name": "string",
"description": "string",
"strict": false,
"parameters": {}
}
],
"linkedTools": [
"string"
],
"attributes": {},
"other": {}
},
"templateLanguage": "default",
"promptFile": "string"
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/prompts",
body={
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"content": "string",
"variables": [
"string"
],
"config": {
"model": "string",
"endpoint": "string",
"provider": "string",
"maxTokens": -9007199254740991,
"temperature": 0,
"topP": 0,
"presencePenalty": 0,
"frequencyPenalty": 0,
"seed": -9007199254740991,
"responseFormat": {
"type": "json_object",
"jsonSchema": {}
},
"tools": [
{
"name": "string",
"description": "string",
"strict": False,
"parameters": {}
}
],
"linkedTools": [
"string"
],
"attributes": {},
"other": {}
},
"templateLanguage": "default",
"promptFile": "string"
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"projectId":"00000000-0000-0000-0000-000000000000","name":"string","content":"string","variables":["string"],"config":{"model":"string","endpoint":"string","provider":"string","maxTokens":-9007199254740991,"temperature":0,"topP":0,"presencePenalty":0,"frequencyPenalty":0,"seed":-9007199254740991,"responseFormat":{"type":"json_object","jsonSchema":{}},"tools":[{"name":"string","description":"string","strict":false,"parameters":{}}],"linkedTools":["string"],"attributes":{},"other":{}},"templateLanguage":"default","promptFile":"string"}`)
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/prompts", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}